# $Revision: 1.186.4.1 $, $Date: 2011/10/11 06:55:11 $
#
# Conditional build
%bcond_without	bemused		# build without bemused plugin
%bcond_without	lirc		# without lirc support

Summary:	Movie player for GNOME 2 based on the gstreamer engine
Summary(pl.UTF-8):	Odtwarzacz filmów dla GNOME 2 oparty na silniku gstreamer
Name:		totem
Version:	2.32.0
Release:	5
License:	GPL v2
Group:		X11/Applications/Multimedia
Source0:	http://ftp.gnome.org/pub/GNOME/sources/totem/2.32/%{name}-%{version}.tar.bz2
# Source0-md5:	2e55c3da316648ba860e3f88af2d30ab
# PLD-specific patches
Patch0:		%{name}-configure.patch
Patch1:		%{name}-codegen.patch
URL:		http://www.gnome.org/projects/totem/
BuildRequires:	GConf2-devel >= 2.26.0
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1:1.9
%{?with_bemused:BuildRequires:	bluez-libs-devel}
BuildRequires:	dbus-glib-devel >= 0.74
BuildRequires:	docbook-dtd45-xml
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.26.0
BuildRequires:	gmyth-devel >= 0.7.1
BuildRequires:	gmyth-upnp-devel >= 0.7.1
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gnome-doc-utils >= 0.14.0
BuildRequires:	gstreamer-devel >= 0.10.28.1
BuildRequires:	gstreamer-plugins-base-devel >= 0.10.26
BuildRequires:	gtk+2-devel >= 2:2.20.0
BuildRequires:	gtk-doc >= 1.11
BuildRequires:	intltool >= 0.40.0
BuildRequires:	iso-codes
BuildRequires:	libepc-ui-devel >= 0.3.0
BuildRequires:	libgalago-devel >= 0.5.2
BuildRequires:	libgdata-devel >= 0.4.0
BuildRequires:	libtool
BuildRequires:	libunique-devel
BuildRequires:	libxml2-devel >= 1:2.6.31
%{?with_lirc:BuildRequires:	lirc-devel}
BuildRequires:	nautilus-devel >= 2.26.0
BuildRequires:	pkgconfig
BuildRequires:	python-pygtk-devel >= 2:2.12.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.357
BuildRequires:	sed >= 4.0
BuildRequires:	shared-mime-info >= 0.22
BuildRequires:	totem-pl-parser-devel >= 2.30.2
BuildRequires:	tracker-devel >= 0.8.1
BuildRequires:	vala >= 0.8.0
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libXv-devel
BuildRequires:	xorg-lib-libXxf86vm-devel >= 1.0.1
Requires(post,postun):	/sbin/ldconfig
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	scrollkeeper
Requires(post,preun):	GConf2
Requires:	glib2 >= 1:2.26.0
Requires:	gstreamer-GConf >= 0.10.3
Requires:	gstreamer-audiosink >= 0.10
Requires:	gstreamer-plugins-base >= 0.10.26
Requires:	gstreamer-soup
Requires:	gstreamer-videosink >= 0.10
Requires:	gstreamer-visualisation
Requires:	gtk+2 >= 2:2.20.0
Requires:	python-pygtk-gtk
Suggests:	gstreamer-ffmpeg
Suggests:	gstreamer-mpeg
Suggests:	gstreamer-pango
Suggests:	python-gnome-gconf
Suggests:	python-json-py
Suggests:	python-listparser
Suggests:	python-pygobject >= 2.16.0
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		pluginsdir	%{_libdir}/totem/plugins

%description
Totem is simple movie player for the GNOME desktop based on gstreamer.
It features a simple playlist, a full-screen mode, seek and volume
controls, as well as a pretty complete keyboard navigation.

%description -l pl.UTF-8
Totem to prosty odtwarzacz filmów dla środowiska GNOME oparty na
gstreamer. Ma prostą listę odtwarzania, tryb pełnoekranowy, kontrolę
położenia w pliku i głośności, a także w miarę kompletną obsługę z
klawiatury.

%package galago
Summary:	Instant Messenger status plugin for Totem
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
Requires:	galago-daemon

%description galago
This package provides a plugin to set your Instant Messenger status to
away when a movie is playing.

%package gromit
Summary:	Gromit Annotations plugin for Totem
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
Requires:	gromit

%description gromit
This package provides a plugin to make annotations on screen.

%package iplayer
Summary:	BBC iPlayer plugin for Totem
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
Requires:	python-BeautifulSoup
Requires:	python-feedparser
Requires:	python-httplib2

%description iplayer
This package provides a plugin to allow streaming BBC programs from
the BBC iPlayer service.

%package jamendo
Summary:	Jamendo plugin for Totem
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description jamendo
This package provides a plugin to allow browsing the Jamendo music
store in Totem, and listening to them.

%package lirc
Summary:	LIRC (Infrared remote) plugin for Totem
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description lirc
This package provides a plugin to add LIRC (Infrared remote) support
to Totem.

%package opensubtitles
Summary:	Subtitle Downloader plugin for Totem
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
Requires:	python-pyxdg

%description opensubtitles
This package provides a plugin to look for subtitles for the currently
playing movie.

%package publish
Summary:	Share your playlist with other Totems on the local network
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description publish
This package provides a plugin to allow you to share your current
playlist (and the files included in that playlist) with other Totems
on the same local network.

%package tracker
Summary:	Tracker-based video search plugin for Totem
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description tracker
This package provides a Totem plugin to allow searching local videos,
based on their tags, metadata, or filenames, as indexing by the
Tracker indexer.

%package upnp
Summary:	UPNP/DLNA plugin for Totem
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
Requires:	python-coherence

%description upnp
This package provides a plugin to allow browsing UPNP/DLNA shares, and
watching videos from those.

%package youtube
Summary:	YouTube plugin for Totem
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
Requires:	gstreamer-ffmpeg
Requires:	gstreamer-plugins-bad
Requires:	gstreamer-x264

%description youtube
This package provides a plugin to allow browsing YouTube videos in
Totem, and watching them.

%package apidocs
Summary:	Totem API documentation
Summary(pl.UTF-8):	Dokumentacja API Totema
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
Totem API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API Totema.

%package -n browser-plugin-%{name}
Summary:	Totem's browser plugin
Summary(pl.UTF-8):	Wtyczka Totema do przeglądarek WWW
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	browser-plugins >= 2.0
Requires:	browser-plugins(%{_target_base_arch})
Provides:	mozilla-firefox-plugin-totem = %{version}-%{release}
Provides:	mozilla-plugin-totem = %{version}-%{release}
Obsoletes:	mozilla-firefox-plugin-totem < %{version}-%{release}
Obsoletes:	mozilla-plugin-totem < %{version}-%{release}

%description -n browser-plugin-%{name}
Totem's plugin for browsers.

%description -n browser-plugin-%{name} -l pl.UTF-8
Wtyczka Totem do przeglądarek WWW.

%package -n nautilus-totem
Summary:	Video and Audio Properties tab for Nautilus
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
Requires:	nautilus >= 2.26.0

%description -n nautilus-totem
This package provides a Nautilus extension that shows the properties
of audio and video files in the properties dialog.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
sed -i 's#^en@shaw##' po/LINGUAS
rm po/en@shaw.po

%build
%{__gtkdocize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-scrollkeeper \
	--disable-silent-rules \
	--disable-vala \
	--enable-nautilus \
	--enable-python \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALL="install -p" \
	BROWSER_PLUGIN_DIR=%{_browserpluginsdir} \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

rm -f $RPM_BUILD_ROOT%{_browserpluginsdir}/*.{la,a}
rm -f $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-2.0/*.{la,a}
rm -f $RPM_BUILD_ROOT%{_libdir}/totem/plugins/*/*.{la,a}

%py_postclean %{_libdir}/totem/plugins

%find_lang %{name} --with-gnome --with-omf --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%gconf_schema_install totem-handlers.schemas
%gconf_schema_install totem-video-thumbnail.schemas
%gconf_schema_install totem.schemas
%scrollkeeper_update_post
%update_desktop_database_post
%update_icon_cache hicolor

%preun
%gconf_schema_uninstall totem-handlers.schemas
%gconf_schema_uninstall totem-video-thumbnail.schemas
%gconf_schema_uninstall totem.schemas

%postun
/sbin/ldconfig
%scrollkeeper_update_postun
%update_desktop_database_postun
%update_icon_cache hicolor

%post -n browser-plugin-%{name}
%update_browser_plugins

%postun -n browser-plugin-%{name}
if [ "$1" = 0 ]; then
	%update_browser_plugins
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/totem
%attr(755,root,root) %{_bindir}/totem-audio-preview
%attr(755,root,root) %{_bindir}/totem-video-indexer
%attr(755,root,root) %{_bindir}/totem-video-thumbnailer
%attr(755,root,root) %{_libdir}/totem/totem-bugreport.py
%{_datadir}/%{name}
%{_desktopdir}/totem.desktop
%{_mandir}/man1/totem.1*
%{_mandir}/man1/totem-video-thumbnailer.1*
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/*/*.svg
%{_sysconfdir}/gconf/schemas/totem-handlers.schemas
%{_sysconfdir}/gconf/schemas/totem-video-thumbnail.schemas
%{_sysconfdir}/gconf/schemas/totem.schemas
%dir %{_libdir}/totem
%dir %{pluginsdir}

%if %{with bemused}
%dir %{pluginsdir}/bemused
%attr(755,root,root) %{pluginsdir}/bemused/libbemused.so
%endif

%dir %{pluginsdir}/brasero-disc-recorder
%attr(755,root,root) %{pluginsdir}/brasero-disc-recorder/libbrasero-disc-recorder.so
%{pluginsdir}/brasero-disc-recorder/brasero-disc-recorder.totem-plugin

%dir %{pluginsdir}/chapters
%{pluginsdir}/chapters/*.ui
%{pluginsdir}/chapters/chapters.totem-plugin
%attr(755,root,root) %{pluginsdir}/chapters/libchapters.so

%dir %{pluginsdir}/dbus
%{pluginsdir}/dbus/*.py[co]
%{pluginsdir}/dbus/dbus-service.totem-plugin

%dir %{pluginsdir}/media-player-keys
%attr(755,root,root) %{pluginsdir}/media-player-keys/libmedia_player_keys.so
%{pluginsdir}/media-player-keys/media-player-keys.totem-plugin

%dir %{pluginsdir}/mythtv
%attr(755,root,root) %{pluginsdir}/mythtv/libtotem_mythtv.so
%{pluginsdir}/mythtv/mythtv.totem-plugin

%dir %{pluginsdir}/ontop
%attr(755,root,root) %{pluginsdir}/ontop/libontop.so
%{pluginsdir}/ontop/ontop.totem-plugin

%dir %{pluginsdir}/properties
%attr(755,root,root) %{pluginsdir}/properties/libmovie-properties.so
%{pluginsdir}/properties/movie-properties.totem-plugin

%dir %{pluginsdir}/pythonconsole
%{pluginsdir}/pythonconsole/console.py[co]
%{pluginsdir}/pythonconsole/pythonconsole.py[co]
%{pluginsdir}/pythonconsole/pythonconsole.totem-plugin

%dir %{pluginsdir}/screensaver
%attr(755,root,root) %{pluginsdir}/screensaver/libscreensaver.so
%{pluginsdir}/screensaver/screensaver.totem-plugin

%dir %{pluginsdir}/screenshot
%attr(755,root,root) %{pluginsdir}/screenshot/libscreenshot.so
%{pluginsdir}/screenshot/gallery.ui
%{pluginsdir}/screenshot/gnome-screenshot.ui
%{pluginsdir}/screenshot/screenshot.totem-plugin

%dir %{pluginsdir}/skipto
%attr(755,root,root) %{pluginsdir}/skipto/libskipto.so
%{pluginsdir}/skipto/skipto.totem-plugin
%{pluginsdir}/skipto/skipto.ui

%dir %{pluginsdir}/thumbnail
%attr(755,root,root) %{pluginsdir}/thumbnail/libthumbnail.so
%{pluginsdir}/thumbnail/thumbnail.totem-plugin

%dir %{pluginsdir}/totem
%{pluginsdir}/totem/__init__.py[co]

%files galago
%defattr(644,root,root,755)
%dir %{pluginsdir}/galago
%attr(755,root,root) %{pluginsdir}/galago/libtgp.so
%{pluginsdir}/galago/galago.totem-plugin

%files gromit
%defattr(644,root,root,755)
%dir %{pluginsdir}/gromit
%attr(755,root,root) %{pluginsdir}/gromit/libgromit.so
%{pluginsdir}/gromit/gromit.totem-plugin

%files iplayer
%defattr(644,root,root,755)
%dir %{pluginsdir}/iplayer
%{pluginsdir}/iplayer/*.py[co]
%{pluginsdir}/iplayer/iplayer.ui
%{pluginsdir}/iplayer/iplayer.totem-plugin

%files jamendo
%defattr(644,root,root,755)
%dir %{pluginsdir}/jamendo
%{pluginsdir}/jamendo/*.py[co]
%{pluginsdir}/jamendo/jamendo.totem-plugin
%{pluginsdir}/jamendo/jamendo.ui

%files lirc
%defattr(644,root,root,755)
%dir %{pluginsdir}/lirc
%attr(755,root,root) %{pluginsdir}/lirc/liblirc.so
%{pluginsdir}/lirc/lirc.totem-plugin
%{pluginsdir}/lirc/totem_lirc_default

%files opensubtitles
%defattr(644,root,root,755)
%dir %{pluginsdir}/opensubtitles
%{pluginsdir}/opensubtitles/*.py[co]
%{pluginsdir}/opensubtitles/opensubtitles.totem-plugin
%{pluginsdir}/opensubtitles/opensubtitles.ui

%files publish
%defattr(644,root,root,755)
%dir %{pluginsdir}/publish
%attr(755,root,root) %{pluginsdir}/publish/libpublish.so
%{pluginsdir}/publish/publish-plugin.ui
%{pluginsdir}/publish/publish.totem-plugin

%files tracker
%defattr(644,root,root,755)
%dir %{pluginsdir}/tracker
%attr(755,root,root) %{pluginsdir}/tracker/libtracker.so
%{pluginsdir}/tracker/tracker.totem-plugin

%files upnp
%defattr(644,root,root,755)
%dir %{pluginsdir}/coherence_upnp
%{pluginsdir}/coherence_upnp/*.py[co]
%{pluginsdir}/coherence_upnp/coherence_upnp.totem-plugin

%files youtube
%defattr(644,root,root,755)
%dir %{pluginsdir}/youtube
%attr(755,root,root) %{pluginsdir}/youtube/libyoutube.so
%{pluginsdir}/youtube/youtube.totem-plugin
%{pluginsdir}/youtube/youtube.ui

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/totem

%files -n nautilus-totem
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/nautilus/extensions-2.0/libtotem-properties-page.so

%files -n browser-plugin-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/totem-plugin-viewer
%attr(755,root,root) %{_browserpluginsdir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: totem.spec,v $
Revision 1.186.4.1  2011/10/11 06:55:11  lisu
- rel 5

Revision 1.186  2011/02/04 18:24:06  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.185  2011/01/09 22:22:10  glen
- rpmlint self-obsoletion fix; rel 3

Revision 1.184  2011/01/07 08:19:51  glen
- release 2

Revision 1.183  2010/12/19 21:20:59  glen
- more youtube plugin deps

Revision 1.182  2010/12/19 19:57:17  glen
- galago, gromit, iplayer, opensubtitles subpackages with deps

Revision 1.181  2010/12/19 18:11:43  glen
- subpackages inspired from fcfg

Revision 1.180  2010/11/12 21:01:07  sls
- bump BR: totem-pl-parser-devel >= 2.30.2

Revision 1.179  2010/09/30 08:32:58  patrys
- 2.32.0

Revision 1.177.2.3  2010/09/30 08:32:17  patrys
- 2.32.0

Revision 1.177.2.2  2010/09/22 21:44:55  patrys
- 2.31.92

Revision 1.178  2010/09/21 19:00:02  glen
- release 4

Revision 1.177.2.1  2010/08/31 20:41:30  patrys
- 2.31.6

Revision 1.177  2010/07/09 11:25:15  arekm
- release 3

Revision 1.176  2010/07/08 08:48:34  arekm
- release 2

Revision 1.175  2010/05/12 18:04:01  megabajt
- updated to 2.30.2

Revision 1.174  2010/04/27 15:56:48  megabajt
- updated to 2.30.1

Revision 1.173  2010/04/03 12:36:39  sls
- BR: gst-plugins-base-devel >= 0.10.26

Revision 1.172  2010/04/01 10:55:03  patrys
- get rid of en@shaw

Revision 1.171  2010/04/01 10:48:54  patrys
- 2.30.0
- comment out tracker until we get a stable 0.8

Revision 1.170  2010/03/30 09:12:41  hawk
- release 3

Revision 1.169  2010/02/17 21:35:09  megabajt
- release 2

Revision 1.168  2010/02/16 20:51:46  ankry
- no longer la in src

Revision 1.167  2009/12/22 21:52:27  megabajt
- updated to 2.28.5

Revision 1.166  2009/11/29 00:15:44  sparky
- BR: rpm-pythonprov
- dropped xine-libs description

Revision 1.165  2009/11/22 15:51:37  megabajt
- updated to 2.28.4

Revision 1.164  2009/11/13 19:12:54  megabajt
- updated to 2.28.3

Revision 1.163  2009/10/29 09:21:12  patrys
- 2.28.2

Revision 1.162  2009/09/29 21:12:24  megabajt
- updated to 2.28.1

Revision 1.161  2009/09/26 13:25:33  patrys
- one copy of BR: is enough

Revision 1.160  2009/09/26 13:20:15  patrys
- merged from DEVEL

Revision 1.158.2.4  2009/09/26 13:18:10  patrys
- 2.28.0

Revision 1.158.2.3  2009/09/10 09:17:50  patrys
- 2.27.92

Revision 1.158.2.2  2009/08/11 22:49:32  patrys
- 2.27.2

Revision 1.159  2009/06/30 14:53:02  megabajt
- updated to 2.26.3
- disabled vala for now (doesn't build)

Revision 1.158.2.1  2009/05/28 12:29:28  patrys
- 2.27.1

Revision 1.158  2009/05/07 13:35:37  megabajt
- updated to 2.26.2

Revision 1.157  2009/04/04 17:00:39  megabajt
- updated to 2.26.1

Revision 1.156  2009/03/18 14:34:25  patrys
- gtkdocize
- rel 2

Revision 1.155  2009/03/18 14:28:44  patrys
- merged from DEVEL

Revision 1.154.2.2  2009/03/18 14:27:06  patrys
- 2.26.0

Revision 1.154.2.1  2009/02/22 11:21:22  megabajt
- updated to 2.25.91
- added -apidocs subpackage
- removed -desktop.patch (applied upstream)
- -configure.patch moved to "PLD-specific patches" (upstream don't accept it)

Revision 1.154  2009/02/20 21:32:31  megabajt
- drop unsupported la locale
- release 2

Revision 1.153  2009/02/19 22:54:44  megabajt
- updated to 2.24.4

Revision 1.152  2008/12/17 18:07:36  hawk
- release 2

Revision 1.151  2008/10/28 18:37:25  megabajt
- updated to 2.24.3

Revision 1.150  2008/10/24 16:10:47  megabajt
- release 2

Revision 1.149  2008/10/07 21:37:19  megabajt
- updated to 2.24.2
- removed configure options which don't exist

Revision 1.148  2008/10/04 19:30:24  megabajt
- updated to 2.24.1; merged changes from DEVEL
- removed obsolete -libxul.patch

Revision 1.147  2008/10/03 18:05:59  arekm
- release 5

Revision 1.142.2.8  2008/09/12 20:38:20  patrys
- pushed patches to upstream bugzilla

Revision 1.146  2008/09/10 11:14:30  hawk
- fixed files, %{_libdir}/totem/plugins/totem/*.py[co] seems obsolete

Revision 1.145  2008/09/10 10:37:42  hawk
- added xulrunner 1.9 patch, now it builds but fails on %files

Revision 1.144  2008/09/01 20:02:44  arekm
- release 3

Revision 1.142.2.7  2008/08/31 13:18:34  patrys
- 2.23.91

Revision 1.142.2.6  2008/08/06 11:06:30  patrys
- package missing dir

Revision 1.142.2.5  2008/08/06 11:01:15  patrys
- fix python support

Revision 1.142.2.4  2008/07/23 16:16:01  patrys
- 2.23.4
- patch for nvtv with --as-needed
- disable vala for now as it breaks the build

Revision 1.143  2008/07/23 15:15:46  hawk
- release 2

Revision 1.142.2.3  2008-05-13 11:14:14  glen
- ldconfig dep

Revision 1.142.2.2  2008-05-13 09:42:34  patrys
- ldconfig

Revision 1.142.2.1  2008-05-13 09:31:03  patrys
- 2.23.2

Revision 1.142  2008-05-01 22:43:06  megabajt
- s/gstreamer-bad/gstreamer-plugins-bad/

Revision 1.141  2008-05-01 21:38:58  wrobell
- added installation suggestions for youtube plugin

Revision 1.140  2008-04-24 13:10:43  megabajt
- updated to 2.22.2

Revision 1.139  2008-04-08 19:58:25  patrys
- 2.22.1

Revision 1.138  2008-03-25 19:14:19  sls
- BR: xulrunner-devel >= 1.8.1.12-1.20080208.3
  (required idl files in proper location)

Revision 1.137  2008-03-12 12:27:47  megabajt
- removed -idl.patch (not needed)
- release 2

Revision 1.136  2008-03-11 20:56:17  megabajt
- updated to 2.22.0; merged changes from DEVEL

Revision 1.134.2.10  2008-03-03 23:11:02  megabajt
- updated to 2.21.96

Revision 1.134.2.9  2008-03-03 17:23:17  megabajt
- updated to 2.21.95
- more verbose files

Revision 1.134.2.8  2008-02-12 16:58:41  patrys
- build tracker plugin

Revision 1.134.2.7  2008-02-12 16:54:31  patrys
- 2.21.93

Revision 1.134.2.6  2008-02-10 17:50:06  patrys
- totem does NOT link against /usr/lib/xulrunner/*

Revision 1.135  2008/02/08 20:11:20  hawk
- release 2 (xulrunner 1.8.1.12)

Revision 1.134.2.5  2008-02-05 00:33:54  patrys
- S: python-gdata for youtube plugin

Revision 1.134.2.4  2008-02-05 00:08:55  patrys
- add missing plugin dir

Revision 1.134.2.3  2008-02-05 00:06:36  patrys
- need more coffee
- proper commit

Revision 1.134.2.2  2008-02-04 23:54:43  patrys
- commit the right change

Revision 1.134.2.1  2008-02-04 23:52:12  patrys
- 2.21.92

Revision 1.134  2008-01-09 20:23:42  megabajt
- updated to 2.20.3

Revision 1.133  2007-12-04 01:53:46  wolvverine
- up rel.5

Revision 1.132  2007-11-27 20:22:02  qboosh
- updated find_lang BR
- sed quotes

Revision 1.131  2007-11-27 19:54:28  megabajt
- release 4 (xulrunner 1.8.1.10)

Revision 1.130  2007-11-20 12:28:34  wolvverine
- add S

Revision 1.129  2007-11-10 13:23:19  megabajt
- sr@Latn -> sr@latin
- use --with-omf
- release 3

Revision 1.128  2007/10/22 19:31:58  megabajt
- release 2 (xulrunner 1.8.1.8)

Revision 1.127  2007/10/17 15:48:07  megabajt
- updated to 2.20.1

Revision 1.126  2007/10/12 10:33:02  sls
- BR: gnome-control-center-devel (media-player-keys requires gnome-settings-daemon.pc)

Revision 1.125  2007/10/12 00:08:07  sls
- BR: shared-mime-info >= 0.22

Revision 1.124  2007/09/22 08:21:18  megabajt
- release 2 (xulrunner 1.8.1.7)

Revision 1.123  2007/09/17 19:30:01  megabajt
- added missing changes from DEVEL:
 - added codegen patch and some Suggests (by patrys)
 - added bemused bcond (by aflinta)
- updated deps

Revision 1.122  2007/09/17 09:19:11  patrys
- 2.20.0

Revision 1.121  2007/08/27 19:34:27  megabajt
- updated to 2.18.3

Revision 1.120  2007/08/01 16:23:47  wolvverine
-  rebuild with xulrunner 1.8.1.6

Revision 1.119  2007/07/22 16:51:41  aflinta
- rebuild with xulrunner 1.8.1.5

Revision 1.118  2007/06/02 18:04:47  megabajt
- release 2 (rebuild with xulrunner 1.8.1.4)

Revision 1.117  2007/05/19 12:22:06  megabajt
- updated to 2.18.2

Revision 1.116  2007/05/16 10:34:48  wrobell
- rel. 2

Revision 1.115  2007/04/04 16:53:04  patrys
- 2.18.1

Revision 1.114  2007/03/23 17:41:38  megabajt
- release 2 to rebuild with xulrunner 1.8.1.3

Revision 1.113  2007/03/09 23:06:11  megabajt
- updated to 2.18.0; merged from DEVEL

Revision 1.112.2.2  2007/03/08 20:16:26  megabajt
- removed obsolete mozilla_includes patch
- updated deps

Revision 1.112.2.1  2007/03/04 23:18:09  patrys
- 2.17.92

Revision 1.112  2007/02/26 14:43:48  wrobell
- rel. 2 to rebuild with new xulrunner

Revision 1.111  2007/02/23 17:59:58  megabajt
- missing BR: shared-mime-info

Revision 1.110  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.109  2007/02/12 01:06:30  baggins
- converted to UTF-8

Revision 1.108  2007/02/05 12:39:00  megabajt
- updated to 2.16.5

Revision 1.107  2007/02/04 16:31:32  qrczak
- Require xulrunner-devel instead of mozilla-firefox-devel
- Browser plugin is registered using the browser-plugins-2 framework
- Release 2

Revision 1.106  2006/12/25 22:24:09  megabajt
- up to 2.16.4

Revision 1.105  2006/12/08 15:00:36  glen
- depend on mozilla-firefox-libs

Revision 1.104  2006/11/14 22:10:09  patrys
- up to 2.16.3

Revision 1.103  2006/11/09 19:26:59  patrys
- fix the window resizing regression

Revision 1.102  2006/10/30 17:53:50  shadzik
- support mozilla-firefox-bin
- rel up

Revision 1.101  2006/10/05 22:17:26  grzegol
- package ug lang files (languages added in glibc-2.5)

Revision 1.100  2006/10/03 19:38:19  grzegol
- 2.16.2

Revision 1.99  2006/09/25 23:39:26  wrobell
- BR: mozilla-firefox 1.5.0.7
- rel. 3

Revision 1.98  2006/09/09 01:21:23  patrys
- plugin is basic not base (thx freetz)

Revision 1.97  2006/09/08 09:07:20  patrys
- up to 2.16.1

Revision 1.96  2006/09/05 20:43:12  patrys
- fix plugins at least for first time installs
- see pld-devel-en for problem description

Revision 1.95  2006/09/03 21:13:18  patrys
- up to stable 2.16.0

Revision 1.94  2006/08/22 18:10:56  freetz
- 1.5.92, updated deps

Revision 1.93  2006/08/13 07:16:52  freetz
- 1.5.91, use xptdir to install browser plugins, new icon introduced

Revision 1.92  2006/08/09 19:11:06  freetz
- rel.3, update deps

Revision 1.91  2006/08/01 15:51:08  freetz
- rel.2 (new firefox)

Revision 1.90  2006/07/26 17:42:54  freetz
- 1.5.90, use rpm macros

Revision 1.89  2006/07/13 19:52:39  freetz
- 1.5.4, updated deps, --as-needed support, droped obsoleted mozilla
  support

Revision 1.88  2006/06/20 20:45:17  freetz
- move nautilus specific extension to main package, R: nautilus, rel.2

Revision 1.87  2006/06/12 18:19:22  freetz
- 1.5.2, (re)generate icon cache

Revision 1.86  2006/06/08 22:00:34  freetz
- 1.5.1, GNOME 2.15.x deps, remove unsuported locale

Revision 1.85  2006/06/07 10:10:52  jareq
- added lirc bcond

Revision 1.84  2006/06/05 12:24:46  qboosh
- C: xine-input-gnome-vfs, force gstreamer version (merged from AC-branch)

Revision 1.83  2006/05/24 08:45:59  qboosh
- merged deps update and mozilla_firefox bcond switch from AC-branch

Revision 1.82  2006/05/17 18:46:06  patrys
- up to 1.4.1

Revision 1.81  2006/05/17 14:53:00  qboosh
- GNOME 2.14 deps (merged from AC-branch)

Revision 1.80  2006/05/14 12:45:58  blues
- browser plugin support finished

Revision 1.79  2006/05/14 11:55:58  glen
-  rpmbuild(macros) for nsplugin macros, adapter

Revision 1.78  2006/05/14 11:29:31  blues
- started with browser plugins support, NFY

Revision 1.77  2006/04/02 14:10:33  freetz
- disable checking for runtime deps at builtime (patch), dropped
  gnome-desktop dependency (no required anymore)

Revision 1.76  2006/04/02 13:32:08  freetz
- merged from DEVEL

Revision 1.73.2.6  2006/03/13 15:04:00  freetz
- 1.4.0

Revision 1.73.2.5  2006/03/01 07:31:37  freetz
- 1.3.92

Revision 1.73.2.4  2006/02/22 18:43:39  freetz
- gstreamer by default for now, xorg deps, rel.2

Revision 1.73.2.3  2006/02/13 10:08:11  freetz
- 1.3.91, killed xfree86 requirement, xine backend not tested

Revision 1.73.2.2  2006/01/31 15:02:46  freetz
- fixed gstreamer deps

Revision 1.73.2.1  2006/01/31 02:07:55  patrys
- up to 1.3.90

Revision 1.75  2006/02/24 18:05:26  aredridel
- remove XFree86 dependency

Revision 1.74  2006/02/02 13:44:14  maciek2w
- updated to 1.3.1

Revision 1.73  2005/12/21 21:18:55  patrys
- up to 1.3.0

Revision 1.72.2.9  2006/05/19 16:06:00  freetz
- 1.4.1, switched to firefox (epiphany depends on it too),
  fixed firefox build

Revision 1.72.2.8  2006/05/18 20:27:21  baggins
- release 5
- strict reqs

Revision 1.72.2.7  2006/05/17 18:03:35  baggins
- rel 4
- build with xine, not gstreamer

Revision 1.72.2.6  2006/05/17 13:07:29  baggins
- proper mozilla BR

Revision 1.72.2.5  2006/05/17 13:06:48  baggins
- release 3
- fixed mozilla idl dir

Revision 1.72.2.4  2006/05/17 12:56:37  baggins
- merged from HEAD
- BRs for GNOME 2.14

Revision 1.72  2005/12/11 21:58:15  freetz
- 1.2.1

Revision 1.71  2005/10/06 18:45:21  blues
- release 5 - dbus-glib-devel to build with mozilla plugin.

Revision 1.70  2005/09/22 13:56:19  qboosh
- pl fix

Revision 1.69  2005/09/17 17:06:40  freetz
- post revolution cleanup

Revision 1.68  2005/09/17 17:02:34  freetz
- mozilla plugins finished, expanded todo, added mozilla-includes patch
  rel.4

Revision 1.67  2005/09/13 06:51:40  freetz
- undefine with_nvtv instead of setting it to 0

Revision 1.66  2005/09/10 23:41:38  freetz
- require nautilus-libs for libs subpackage

Revision 1.65  2005/09/10 19:46:22  aflinta
- added mozilla-firefox-plugin-totem subpackage, updated TODO, rel 3.1

Revision 1.64  2005/09/09 23:13:32  freetz
- disable nvtv on not supported archs, rel.3

Revision 1.63  2005/09/08 13:03:32  patrys
- missing BR: nautilus-devel (libnautilus-extension for media sinks)

Revision 1.62  2005/09/07 19:51:58  freetz
- enabled iso-codes, rel.2

Revision 1.61  2005/09/06 22:12:35  paladine
- bumped BRs/Rs

Revision 1.60  2005/09/06 17:58:39  freetz
- merged from DEVEL and updated to 1.2.0

Revision 1.46.2.13  2005/08/24 13:22:15  aflinta
- 1.1.5

Revision 1.46.2.12  2005/08/18 12:03:46  aflinta
- rebuild with cairo, rel. 2

Revision 1.46.2.11  2005/08/10 22:34:29  freetz
- 1.1.4, itemize schemas, sorted %%files

Revision 1.46.2.10  2005/08/10 17:26:34  aflinta
- totem prefers newer xine-lib

Revision 1.46.2.9  2005/08/09 13:10:48  paladine
- missing BR: scrollkeeper

Revision 1.46.2.8  2005/07/13 16:28:56  wiget
- updated to 1.1.3

Revision 1.46.2.7  2005/07/11 18:44:04  freetz
- nvtv bcond by default, more BRs

Revision 1.46.2.6  2005/07/04 21:44:39  freetz
- 1.1.2

Revision 1.46.2.5  2005/05/17 19:51:45  wrobell
- todo: make mozilla plugin

Revision 1.46.2.4  2005/04/13 01:05:42  patrys
- up to 1.1.1
- won't build (missing dep - iso-codes from Debian)
